<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.seer.teach.mall.mapper.GoodsCommentMapper">

    <resultMap id="BaseResultMap" type="com.seer.teach.mall.entity.GoodsCommentEntity">
        <id column="id" property="id" jdbcType="BIGINT"/>
        <result column="user_id" property="userId" jdbcType="INTEGER"/>
        <result column="user_nickname" property="userNickname" jdbcType="VARCHAR"/>
        <result column="user_avatar" property="userAvatar" jdbcType="VARCHAR"/>
        <result column="order_id" property="orderId" jdbcType="BIGINT"/>
        <result column="order_item_id" property="orderItemId" jdbcType="BIGINT"/>
        <result column="goods_specifition_name_value" property="goodsSpecifitionNameValue" jdbcType="VARCHAR"/>
        <result column="spu" property="spu" jdbcType="VARCHAR"/>
        <result column="sku" property="sku" jdbcType="VARCHAR"/>
        <result column="is_real" property="isReal" jdbcType="CHAR"/>
        <result column="is_anonymous" property="isAnonymous" jdbcType="CHAR"/>
        <result column="is_visible" property="isVisible" jdbcType="CHAR"/>
        <result column="is_reply" property="isReply" jdbcType="CHAR"/>
        <result column="scores" property="scores" jdbcType="INTEGER"/>
        <result column="description_scores" property="descriptionScores" jdbcType="INTEGER"/>
        <result column="benefit_scores" property="benefitScores" jdbcType="INTEGER"/>
        <result column="content" property="content" jdbcType="VARCHAR"/>
        <result column="pic_urls" property="picUrls" jdbcType="VARCHAR" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
        <result column="reply_user_id" property="replyUserId" jdbcType="BIGINT"/>
        <result column="reply_content" property="replyContent" jdbcType="VARCHAR"/>
        <result column="reply_time" property="replyTime" jdbcType="TIMESTAMP"/>
        <result column="comment_time" property="commentTime" jdbcType="TIMESTAMP"/>
    </resultMap>

</mapper>
